Skip to main content
POST
/
entities
/
{ent_id}
/
consent
curl https://production.methodfi.com/entities/ent_au22b1fbFJbp8/consent \
  -X POST \
  -H "Method-Version: 2025-12-01" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
  -H "Content-Type: application/json" \
  -d '{
    "type": "withdraw",
    "reason": "entity_withdrew_consent"
  }'
 {
  "id": "ent_qJk8AJ9grkGHg",
  "type": null,
  "individual": null,
  "corporation": null,
  "receive_only": null,
  "verification": null,
  "error": {
    "type": "ENTITY_DISABLED",
    "sub_type": "ENTITY_CONSENT_WITHDRAWN",
    "code": 12004,
    "message": "Entity was disabled due to consent withdrawal."
  },
  "address": {},
  "status": "disabled",
  "metadata": null,
  "created_at": "2024-05-31T21:27:46.044Z",
  "updated_at": "2024-05-31T21:27:49.468Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt

Use this file to discover all available pages before exploring further.

Withdraws an Entity’s consent. This endpoint sets the entity’s status to disabled, withdraws consent on all the entity’s accounts, and removes all active Products or Subscriptions across all the Entity’s accounts.

Path Parameters

Body

Returns

Returns the entity with status set to disabled.
curl https://production.methodfi.com/entities/ent_au22b1fbFJbp8/consent \
  -X POST \
  -H "Method-Version: 2025-12-01" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
  -H "Content-Type: application/json" \
  -d '{
    "type": "withdraw",
    "reason": "entity_withdrew_consent"
  }'
 {
  "id": "ent_qJk8AJ9grkGHg",
  "type": null,
  "individual": null,
  "corporation": null,
  "receive_only": null,
  "verification": null,
  "error": {
    "type": "ENTITY_DISABLED",
    "sub_type": "ENTITY_CONSENT_WITHDRAWN",
    "code": 12004,
    "message": "Entity was disabled due to consent withdrawal."
  },
  "address": {},
  "status": "disabled",
  "metadata": null,
  "created_at": "2024-05-31T21:27:46.044Z",
  "updated_at": "2024-05-31T21:27:49.468Z"
}